/*-----------------------------------------------------------------------------
 *
 *  Kaiser's Strife Script Compiler version 3
 *  A compiling utility for the Doom engine game, Strife.
 *  2/3/07 Samuel Villarreal
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 *  02111-1307, USA.
 *
 * DESCRIPTION:
 *     Customized printing functions
 *
 * Author: Kaiser
 *
 *--------------------------------------------------------------------*/

#include "localRef.h"

//______________________________________________________________________
//kerr
//______________________________________________________________________

void kerr(const char* input, ...) {
	char string[256];

	va_list v;
	va_start(v,input);
	vsprintf(string,input,v);
	va_end(v);

	printf("Error: %s\n", string);
	exit(1);
}

//______________________________________________________________________
//kput
//______________________________________________________________________

void kput(const char* input, ...) {
	char string[256];

	va_list v;
	va_start(v,input);
	vsprintf(string,input,v);
	va_end(v);

	printf("%s\n", string);
}

//______________________________________________________________________
//kchk
//______________________________________________________________________

char* kchk(size_t size, const char* input) {
	char *string = new char[size+1];
	snprintf(string, size, "%s", input);

	return string;
}

//______________________________________________________________________
//cput
//______________________________________________________________________

void cput(FILE* f, const char* input, ...) {
	char string[256];

	va_list v;
	va_start(v,input);
	vsprintf(string,input,v);
	va_end(v);

	fprintf(f, "#%s\n", string);
}

/*print.cpp eof*/